#!/bin/bash
#
# Build all forms of the Booke.

if [ $# != 1 ]; then
    echo "Usage: makeAll.sh <book dir name>"
    exit 1
fi

makeABooke()
{
    ./makeGraphics.sh "$1"
    ./makeBookeTunePages.sh "$1"
    ./makeBooke.sh "$1" A4
    ./makeBooke.sh "$1" A5
    ./makeBooklet.sh "$1"
    ./makeBooke.sh "$1" Nook
    ./makeWebGraphics.sh "$1"
    ./makeWebAudio.sh "$1"
    ./makeWeb.sh "$1" "$1" "$2"
}

makeATransposedBooke()
{
    ./makeGraphics.sh "$1"
    ./makeBookeTunePages.sh "$1"
    ./makeBooke.sh "$1" A4
    ./makeBooke.sh "$1" A5
    ./makeBooklet.sh "$1"
    ./makeBooke.sh "$1" Nook
    ./makeWebGraphics.sh "$1"
    ./makeWeb.sh "$1" "$2" "$3"
}

makeABooke $1

./makeCello.sh $1
makeATransposedBooke $1-Cello $1 cello

./makeHornInF.sh $1
makeATransposedBooke $1-HornInF $1 "horn in F"
